PDA

Visualizza la versione completa : stranezza nella compilazione


giaco31
09-07-2005, 18:58
allora, sono riuscito a installare il compilatore c, ora quando do il ./configure compaiono molti no, tuttavia di solito non compare alcun mess di errore... per quando provo a dare "make" mi dice bash: make command not found :(
che posso fare?

andy caps
09-07-2005, 20:07
se il configure da molti no e finisce con un messaggio di errore non ti crea il make
devi installare i pacchetti che richiede il configure

che distribuzione usi e che pacchetto vuoi installare ?

giaco31
09-07-2005, 20:10
il pacchetto gaim-1.3.1 ma non mi compaiono mess di errore... ho letto che forse devo installare il make..
cmq la distro suse 9.1

(ecco l'ho sparata :D )

maiosyet_2
09-07-2005, 20:13
Devi prima installare make :D

Ad ogni non compilare da sorgente! C' il packet manager apposta :dh:

andy caps
09-07-2005, 20:31
sui cd hai kopete che lo rimpiazza altrimenti
ftp://ftp.uniroma2.it/Linux/suse/pub/suse/i386/9.1/suse/i586/gaim-0.75-77.i586.rpm

qui trovi gaim perla suse 9.1 installabile con un rpm -ivh da terminale

per compilare la versione nuovissima hai bisogno di make ma probabilmente di tutte le librerie aggiornate che probabilmente non sara' facile installargli

make e le librerie puoi trovarle nello stesso ftp se
yast -i make non lo trova
ftp://ftp.uniroma2.it/Linux/suse/pub/suse/i386/9.1/suse/i586/

installando apt puoi etterequesta versione un po aggiornata altrimenti (apt un programma che cerca ed installa i programmi direttamente dagli ftp alternativi )
ftp://ftp4.gwdg.de/pub/linux/suse/apt/SuSE/9.1-i386/RPMS.suse-people/gaim-0.77-2.1.i586.rpm

giaco31
09-07-2005, 22:13
ho scaricato il make dal ftp e ora il make mi funziona, sta compilando... grazie mille!

giaco31
09-07-2005, 22:33
niente, il make va ma alla fine il programma non lo installa :( sigh sob... sar per via dei no... avete qualche soluzione?

andy caps
09-07-2005, 22:42
:bh: o installi una distro piu recente o tieni gaim della 9.1

come se tu volessi installare dei driver per xp su windows 98

non sono compatibili con il sistema

alternative a gaim ci sono
se vuoi un client msn installa amsn

http://amsn.sourceforge.net/

se poi posti i no che incontra make si puo vedere che errori sono
altrimenti scarica la suse 9.3 con torrent o un p2p qualsiasi
con quella trovi anche l'ultimo gaim gia pacchettizzato per suse

giaco31
09-07-2005, 23:05
qui il problema non solo per gaim, ho provato a installare molti altri programmi da tar.gz e mi da sempre qualche errore, insomma non rieco a farne partire uno.. magari intanto dopo che faccio make install mi dice leaving "directory example"

per aprire il programma che faccio?

andy caps
09-07-2005, 23:46
i programmi installati da sorgenti non sono semplicissimi da installare
bisogna sapere cosa fare che programmi scegliere e avere installato tutte le librerie di supporto eventuali
quelle che cerca il ./configure

se vuoi installare i programmi devi installare quelli specifici per suse
da yast con il suo installatore magari aggiungendo anche un server di suse come fonte di installazione o installando apt o cercando sui siti specifici per gli rpm

http://rpmfind.net/

http://rpm.pbone.net/

scegliendo naturalmente le versioni per suse 9.1

apt riesce a trovare molti programmi e li installa automaticamente installando anche le varie dipendenze
http://linux01.gwdg.de/apt4rpm/home.html
qui cisono le guide e i file da installare

con apt basta ad esempio un apt-cache search gaim per avere l'elenco dei programmi disponibili per gaim e un apt-get install gaim per installarlo

per i sorgenti se il make install va a buon fine basta digitare in genere il nome del programma in un terminale per avviarlo

es
gaim e invio avvia gaim

Loading